LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Functions | Variables
driver.h File Reference
User-space driver API | Internal API

### (dad0c0a 2015-02-09 13:36:06 +0100)

Interface to the userspace drivers. More...

`#include "include/media/lirc.h"`
`#include "lirc/ir_remote_types.h"`

Go to the source code of this file.

## Data Structures
struct | option_t
struct | driver

## Macros
#define | DRV_ERR_NOT_IMPLEMENTED 1
#define | DRVCTL_GET_STATE 1
#define | DRVCTL_SEND_SPACE 2
#define | DRVCTL_SET_OPTION 3
#define | DRVCTL_MAX 128
#define | DRV_ERR_NOT_IMPLEMENTED 1
#define | DRV_ERR_BAD_STATE 2
#define | DRV_ERR_BAD_OPTION 3
#define | DRV_ERR_BAD_VALUE 4

## Functions
int | default_open (const char *path)
int | default_close (void)
int | default_drvctl (unsigned int cmd, void *arg)
int | drv_handle_options (const char *options)

## Variables
const struct driver * | curr_driver

## Detailed Description

Interface to the userspace drivers.

Definition in file driver.h.

## Variable Documentation

const struct driver* curr_driver

Raad-only access to drv for application.

Read-only access to drv for client code.

Definition at line 26 of file driver.c.